#!c:/Perl64/bin/perl.exe   
print "Content-Type: text/plain\n\n";
#You have to add the directory route of perl.exe, and print the content type
#For documention visit www.ozekiphone.com/perl-voip-developers-101-750.html

my ($sec,$min,$hour,$day,$month,$yr19,$dayOfWeek,@rest) =   localtime(time);

if ($hour < 9 || $hour > 17 || $dayOfWeek > 5)
	{$WelcomeMessageSample = "Thank you for calling Ozeki Phone System XE. We are currently unavailable to take your call. Our business hours are 9am to 5pm, Monday through Friday.";}
else
	{$WelcomeMessageSample = "Thank you for calling Ozeki Phone System XE. ";}

#Simple Logging. For more data, you can get it from the request.
open(my $fh, '>>', 'report.txt');
my $thisYear = "$yr19" + "1900";
print $fh "You called at: $thisYear.$month.$day. $hour:$min.$sec\n";
close $fh;

#Response for the caller
#More info about the syntax at http://www.ozekiphone.com/ozml-reference-book-254.html
print 
"
<?xml version='1.0' encoding='UTF-8'?>
<Response>
	<UserInput timeout='10' repeat='true'>
		<InitialCommands>
			<Speak>$WelcomeMessageSample</Speak>
			<Speak>Welcome to the Ozeki Phone System XE IVR.</Speak>
			
			<Speak>To hear some more information, press 1.</Speak>
			<Speak>To transfer the call to 882 Extension, press 2.</Speak>
			<Speak>To hang up the line, press 3.</Speak>
		</InitialCommands>
		<Inputs>
			<Input key='1'>
				<Speak>You pressed button 1. For more information on OZML syntax, visit www.ozekiphone.com </Speak>
			</Input>
			<Input key='2'>
				<BlindTransfer>882</BlindTransfer>
				<Speak>Sorry, but blind transfer failed toextension 882. Please setup an extension in thesystem.</Speak>
			</Input>
			<Input key='3'>
				<Speak>Good bye.</Speak>
				<Hangup></Hangup>
			</Input>
		</Inputs>
	</UserInput>
	<Speak>Good bye.</Speak>
</Response>
"


